=== rubypure/example/Makefile ===
# Makefile for sample programs of the Java binding



#================================================================
# Setting Variables
#================================================================


# Generic settings
SHELL = /bin/sh



#================================================================
# Actions
#================================================================


all :


clean :
	rm -rf *.exe *.o a.out check.out gmon.out leak.log casket *~


.PHONY : all clean



# END OF FILE
