=== javapure/example/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Makefile for sample programs of the Java binding
+# Makefile for sample programs of the Java interface
