=== debian/changelog ===
hyperestraier (1.4.13-3) unstable; urgency=low

  * Upstream homepage moved.
  * exclude building java for mips. (Closes: #599982)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Tue, 01 Mar 2011 21:39:34 +0900

hyperestraier (1.4.13-2) unstable; urgency=low

  * New Standards-Version: 3.9.1
  * remove needless gsub! from ruby script. (Closes: #591399, #593030)
  * fix preinst to check directory existence. (Closes: #592443)
  * libestraier-ruby*:
    est{cmd|call}.rb moves from /usr/bin to doc/example. (Closes: #592245) 
  * libestraier-java:
    drop native interface build for hppa, kfreebsd. (Closes: #591401)
  * libestraier-ruby-doc:
    new package. split ruby api documentation.

 -- KURASHIKI Satoru <lurdan@gmail.com>  Sat, 18 Sep 2010 13:21:45 +0900

hyperestraier (1.4.13-1) unstable; urgency=low

  * Imported Upstream version 1.4.13 (by Taku YASUI <tach@debian.org>)
  * New Standards-Version: 3.9.0
  * Add depends to libestraier-dev. (Closes: #441844)
  * build perl binding. (Closes: #381336)
  * New Maintainer. (Closes: #506790)
  * README.Debian: Fix typo. (Closes: #460257, #428956)

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 21 Jul 2010 20:04:22 +0900

hyperestraier (1.4.9-1.4) unstable; urgency=high

  * Non-maintainer upload.
  * Really don't try to build libestraier-java on alpha, arm.

 -- Frank Lichtenheld <djpig@debian.org>  Tue, 15 Jul 2008 03:05:18 +0200

hyperestraier (1.4.9-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't build libestraier-java on alpha, arm. Closes: #477864.

 -- Matthias Klose <doko@debian.org>  Sun, 11 May 2008 08:02:50 +0200

hyperestraier (1.4.9-1.2) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #462713).

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 25 Mar 2008 22:48:04 +0100

hyperestraier (1.4.9-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * High-urgency upload for RC bugfix.
  * Set HOME=$(CURDIR)/junkhome when building, otherwise the package build
    will incorrectly look for headers there -- and fail when the directory
    exists and is unreadable, as happens sometimes on sudo-using
    autobuilders!

 -- Steve Langasek <vorlon@debian.org>  Tue, 14 Nov 2006 05:28:32 -0800

hyperestraier (1.4.9-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 12 Nov 2006 23:32:15 +0900

hyperestraier (1.4.8-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri,  3 Nov 2006 17:21:05 +0900

hyperestraier (1.4.7-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 31 Oct 2006 01:25:10 +0900

hyperestraier (1.4.6-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Fri, 20 Oct 2006 02:40:40 +0900

hyperestraier (1.4.5-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  3 Oct 2006 01:03:53 +0900

hyperestraier (1.4.4-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 19 Sep 2006 00:33:42 +0900

hyperestraier (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 12 Sep 2006 00:22:06 +0900

hyperestraier (1.4.2-1) unstable; urgency=low

  * New upstream release
  * debian/control: libestraier-dev section libdevel
  * debian/hyperestraier.init: check_pidfile
    closes: Bug#386355

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  7 Sep 2006 23:32:48 +0900

hyperestraier (1.4.1-2) unstable; urgency=low

  * it actually build-depends on libqdbm-dev (>= 1.8.68), which 
    provides QDBM_LIBVER 1404 or more.
    closes: Bug#385991

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  5 Sep 2006 22:40:04 +0900

hyperestraier (1.4.1-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon,  4 Sep 2006 00:00:26 +0900

hyperestraier (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 29 Aug 2006 22:13:08 +0900

hyperestraier (1.3.9-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 23 Aug 2006 13:32:45 +0900

hyperestraier (1.3.8-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 17 Aug 2006 14:47:40 +0900

hyperestraier (1.3.6-1) unstable; urgency=low

  * New upstream release
  * debian/shlibs; add version dependency

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  6 Aug 2006 04:17:00 +0900

hyperestraier (1.3.5-1) unstable; urgency=low

  * New upstream release
  * debian/control: add ppthtml to Recommends: (pphtml was typo)

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Mon, 31 Jul 2006 07:04:19 +0900

hyperestraier (1.3.3-1) unstable; urgency=high

  * New upstream release
    fix CVE-2006-3671: cross-site request forgery
    closes: Bug#379060
    new bindaddr configuration parameter in _conf
    closes: Bug#368906
  * debian/hyperestraier.init: fix to exit successfully when NO_START=1
    closes: Bug#367374, Bug#377743
  * debia/control: remove pphtml from Recommends, since it is not available 
      any more.
    closes: Bug#376897

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 23 Jul 2006 08:27:40 +0900

hyperestraier (1.2.5-1) unstable; urgency=low

  * New upstream release

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Wed, 10 May 2006 00:31:07 +0900

hyperestraier (1.2.3-1) unstable; urgency=low

  * New upstream release
  * exclude kfreebsd-amd64 from build-depends for java as kfreebsd-i386
   closes: Bug#361463
  * remove build-depends on libgcj-dev
   closes: Bug#359728
  * fix typo in description
   closes: Bug#363950
  
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu, 27 Apr 2006 00:35:27 +0900

hyperestraier (1.0.6-1) unstable; urgency=low

  * New upstream release
  * bump up shlib version
    debian/control: libestraier6 -> libestraier7
    debian/rules: libestraier6 -> libestraier7

