=== debian/control ===
Source: hyperestraier
Section: text
Priority: optional
Maintainer: KURASHIKI Satoru <lurdan@gmail.com>
Build-Depends: debhelper (>= 6.0.7), autotools-dev, pkg-config, zlib1g-dev, libqdbm-dev (>= 1.8.75), libfcgi-dev (>= 2.4.0-6), ruby1.8, ruby1.8-dev, ruby1.9.1, ruby1.9.1-dev, default-jdk, chrpath, perl
Standards-Version: 3.9.1
Homepage: http://http://fallabs.com/hyperestraier/
Vcs-Git: git://git.debian.org/users/lurdan-guest/hyperestraier.git
Vcs-Browser: http://git.debian.org/?p=users/lurdan-guest/hyperestraier.git

Package: hyperestraier
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: wv, xlhtml, ppthtml, xpdf-utils, wordnet
Description: a full-text search system for communities
 Hyper Estraier is a full-text search system. You can search lots of documents
 for some documents including specified words. If you run a web site, it is
 useful as your own search engine for pages in your site. Also, it is useful as
 search utilities of mail boxes and file servers.
 The characteristic of Hyper Estraier is the following.
  * High performance of search
  * High scalability of target documents
  * Perfect recall ratio by N-gram method
  * Phrase search, attribute search, and similarity search
  * Multilingualism with Unicode
  * Independent of file format and repository
  * Simple and powerful API
  * Supporting P2P architecture
 It is redesigned Estraier and you can connect several index nodes over
 the network using node API.

Package: libestraier8
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a full-text search system Libraries [runtime]
 Hyper Estraier is a full-text search system. 
 This is the runtime package for programs that use the QDBM database
 library.

Package: libestraier-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, libestraier8 (= ${binary:Version}), ${misc:Depends}, zlib1g-dev, libqdbm-dev
Description: a full-text search system Libraries [development]
 Hyper Estraier is a full-text search system. 
 This is the runtime package for programs that use the QDBM database
 library.

Package: libestraier-ruby
Architecture: any
Section: ruby
Depends: libestraier-ruby1.8, ${misc:Depends}
Description: Hyper Estraier Node API Libraries for Ruby
 Hyper Estraier is a full-text search system.
 This package is a dependency package, which depends on
 the package containing actual ruby hyperestraier libraries
 for the default Ruby version (currently 1.8).

Package: libestraier-ruby-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libestraier-ruby1.8 | libestraier-ruby1.9.1
Description: Hyper Estraier Node API Libraries for Ruby (documentation)
 Hyper Estraier is a full-text search system.
 This package provides the Ruby interface for the Node API for
 Hyper Estraier.
 .
 This is the documentation package, with upstream documentation, as well as
 generated rdoc.

Package: libestraier-ruby1.8
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ruby, ruby1.8, ${misc:Depends}
Suggests: hyperestraier, libestraier-ruby-doc
Description: Hyper Estraier Node API Libraries for Ruby 1.8
 Hyper Estraier is a full-text search system. 
 This package provides the Ruby interface for the Node API for
 Hyper Estraier.

Package: libestraier-ruby1.9.1
Architecture: any
Section: ruby
Depends: ${shlibs:Depends}, ruby, ruby1.9.1, ${misc:Depends}
Suggests: hyperestraier, libestraier-ruby-doc
Description: Hyper Estraier Node API Libraries for Ruby 1.9.1
 Hyper Estraier is a full-text search system. 
 This package provides the Ruby interface for the Node API for
 Hyper Estraier.

Package: libestraier-java
Architecture: any
Section: java
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: hyperestraier, java-virtual-machine
Description: Hyper Estraier Node API Libraries for Java
 Hyper Estraier is a full-text search system. 
 This package provides the Java interface for the Node API for
 Hyper Estraier.

Package: libestraier-perl
Architecture: any
Section: perl
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Suggests: hyperestraier, perl
Description: Hyper Estraier node API Libraries for Perl
 Hyper Estraier is a full-text search system.
 This package provides the Perl interface for the Node API for
 Hyper Estraier.
