=== debian/watch ===
version=3
http://fallabs.com/hyperestraier/hyperestraier-(.+).tar.gz
